
### Rebuild steps

(on every upgrade of: ECL, Qt5, EQL5)

```
  $ cd src
  $ rm -fr tmp           # Windows: rmdir tmp /s /q
  $ ecl -shell make.lisp # will take a while
```

```
  $ qmake eql5.pro
  $ make              # MSVC: nmake
  $ sudo make install # Unix only
```


### Important notes

*C++*

You always need to rebuild from any `*.pro` file after upgrading EQL5.

The simplest way to clean everything is to remove the whole `tmp/` directory in
the respective build directory, since the `Makefile` generated by Qt not always
works correctly with `make clean` (e.g. on Windows).

*Lisp*

It's also recommended to recompile any compiled EQL code (because of the tight
ECL/C++ integration).


### Tip

If you're on Linux, see also `src/rebuild` (needs password for `make install`).
